Package org.jboss.resteasy.client.jaxrs

## Interface ResteasyClient

- All Superinterfaces:
    `javax.ws.rs.client.Client`, `javax.ws.rs.core.Configurable<javax.ws.rs.client.Client>`
  All Known Implementing Classes:
    `ResteasyClientImpl`

      public interface ResteasyClient
      extends javax.ws.rs.client.Client

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortIfClosed()` |
    `ExecutorService` | `asyncInvocationExecutor()` |
    `ScheduledExecutorService` | `getScheduledExecutor()` |
    `ClientHttpEngine` | `httpEngine()` |
    `boolean` | `isClosed()` |
    `ResteasyWebTarget` | `target​(String uri)` |
    `ResteasyWebTarget` | `target​(URI uri)` |
    `ResteasyWebTarget` | `target​(javax.ws.rs.core.Link link)` |
    `ResteasyWebTarget` | `target​(javax.ws.rs.core.UriBuilder uriBuilder)` |

    - ### Methods inherited from interface javax.ws.rs.client.Client

      `close, getHostnameVerifier, getSslContext, invocation`

    - ### Methods inherited from interface javax.ws.rs.core.Configurable

      `getConfiguration, property, register, register, register, register, register, register, register, register`

- - ### Method Detail

    - #### target

          ResteasyWebTarget target​(URI uri)

      Specified by:
        `target` in interface `javax.ws.rs.client.Client`

    - #### target

          ResteasyWebTarget target​(String uri)

      Specified by:
        `target` in interface `javax.ws.rs.client.Client`

    - #### target

          ResteasyWebTarget target​(javax.ws.rs.core.UriBuilder uriBuilder)

      Specified by:
        `target` in interface `javax.ws.rs.client.Client`

    - #### target

          ResteasyWebTarget target​(javax.ws.rs.core.Link link)

      Specified by:
        `target` in interface `javax.ws.rs.client.Client`

    - #### httpEngine

          ClientHttpEngine httpEngine()

    - #### asyncInvocationExecutor

          ExecutorService asyncInvocationExecutor()

    - #### getScheduledExecutor

          ScheduledExecutorService getScheduledExecutor()

    - #### abortIfClosed

          void abortIfClosed()

    - #### isClosed

          boolean isClosed()